Subject: bug#76950: closed (Re: bug#76950: tramp caches non-existing podman containers)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Mar 2025 20:00:03 +0000

Your bug report

#76950: tramp caches non-existing podman containers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76950: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76950
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76950: tramp caches non-existing podman containers
From: Michael Albinus <[email-masked]>
To: Konstantin Kharlamov <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Mar 2025 20:59:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Michael Albinus <[email-masked]> writes:

Hi Konstantin,

>> Other than that, the patch is definitely an improvement, so if it's not
>> clear why this "cache removal with delay" happens, I think patch still
>> may be worth installing.
>
> I'll polish it a little bit, will push it later.

I've pushed it to master, closing the bug.

Best regards, Michael.

Subject: tramp caches non-existing podman containers
From: Konstantin Kharlamov <[email-masked]>
To: [email-masked]
Date: Tue, 11 Mar 2025 20:35:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

When tramp is used to connect to a container, it provides completion
based on what containers are currently running. However, after
containers exit, the completion annoyingly still enlists those dead
containers.

# Steps to reproduce

1. Run any container, e.g.: `podman run --rm -it ubuntu:24.04`
2. Start Emacs as `emacs -Q --eval "(require 'tramp)"`
3. Press `C-x C-f /podman:`, then press TAB to complete the minibuffer
text to container name (it should get completed).
4. Cancel with C-g
5. Exit the container
6. Repeat step 3

## Expected

You'd get no completion because no containers are running.

## Actual

You'd get completion for the non-existing container.

# Version

Emacs built yesterday from master, commit
94ba1b097ed12b9b77ecef4899c18b46b7e2dd36